import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';

import { AppConfigModule } from './modules/config/config.module';
import { AppDatabaseModule } from './modules/database/database.module';
import { AppFileTransactionsModule } from './modules/file-transactions/file-transactions.module';
import { AppLoggerModule } from './modules/logger/logger.module';

@Module({
  imports: [
    AppConfigModule,
    AppLoggerModule,
    AppDatabaseModule,
    AppFileTransactionsModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
