import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { databaseConfig } from '../database/database.config';
import { keyvConfig } from '../keyv/keyv.config';
import { loggerConfig } from '../logger/logger.config';
import { localConfig } from './local.config';

@Module({
  imports: [
    ConfigModule.forRoot({
      isGlobal: true,
      expandVariables: true,
      load: [localConfig, loggerConfig, databaseConfig, keyvConfig],
    }),
  ],
})
export class AppConfigModule {}
