import { TypeOrmModuleOptions } from '@nestjs/typeorm';
import { DatabaseConfig } from '../database.config';

export const typeormModuleOptionsFactory = async (
  name: string,
  databaseConfig: DatabaseConfig,
  entities: any[]
): Promise<TypeOrmModuleOptions> => {
  return {
    name: name,
    type: databaseConfig.type as any,
    host: databaseConfig.host,
    port: databaseConfig.port,
    username: databaseConfig.username,
    password: databaseConfig.password,
    database: databaseConfig.database,
    entities: [...entities],
    synchronize: false,
    logging: process.env['NODE_ENV'] !== 'production',
    options: {
      ...(!databaseConfig.secure ? { trustServerCertificate: true } : {}),
    }
  };
};
