const { NxAppWebpackPlugin } = require('@nx/webpack/app-plugin');
const { join, relative } = require('path');

const workspaceRoot = join(__dirname, '../../');
module.exports = {
  output: {
    path: join(__dirname, '../../dist/apps/ebitemp-api'),
    devtoolModuleFilenameTemplate(info) {
			const rel = relative(workspaceRoot, info.absoluteResourcePath);
			return `webpack:///./${rel}`;
		},
  },
  plugins: [
    new NxAppWebpackPlugin({
      target: 'node',
      compiler: 'tsc',
      main: './src/main.ts',
      tsConfig: './tsconfig.app.json',
      assets: ['./src/assets'],
      optimization: false,
      outputHashing: 'none',
      generatePackageJson: true,
    }),
  ],
};
